LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   What version of Slackware for a 486? (http://www.linuxquestions.org/questions/slackware-14/what-version-of-slackware-for-a-486-a-367306/)

digital_nite 09-26-2005 06:10 PM

What version of Slackware for a 486?
 
Hello to all,

I got a question about using Slackware on a 486. I know a 486 can handle Slack, but I'm just wondering what might be a good version for it. For anyone who says I can use the current 10.2 version please explain the benefits and downfalls to using it. Thanks a lot and any information you can provide is good enough for me.

Thanx again,
digital_nite


Krugger 09-26-2005 06:19 PM

If it can handle up to date software why install old versions that will be a security hazard?

The downside is that you probably need more space, but if you pick your packages carefully i am sure you can install the latest slackware version.

PaganHippie 09-26-2005 07:19 PM

Officially, Slackware 10.2 supports the 486, so no worries there....

Put the biggest hard disk into that system that it will support. You can shoehorn Slack into 100MB, but it's cramped in there.... ;)

hitest 09-27-2005 12:10 AM

Yes,

I agree with the previous posters, 10.2 will run on the unit.
How much RAM do you have? On a 486, 64 MB RAM would run x windows, albeit slowly. I think 32 MB RAM might work, but, it would be deathly slow.
I'm running !0.2 on a Pll 266 with 128 MB RAM, with XFce4. and it runs well.

http://www.citytel.net/~gnielsen/snapshot5.jpg

F0ul_Olli 09-27-2005 03:16 AM

Doesn't your question depend on what you want to use the computer for?

I recently put Slack 10.1 on a P2 266 and only had to change the window manager to a very light one to make sure it worked ok.

The only issue I can think of is that as a general rule, if you put modern software on an old PC, you get support for features and problems that are not available to you e.g.usb. so you might be better off using an older version of Slackware such as version 7 or one tuned for older hardware.

F0ul

dracolich 09-27-2005 07:29 AM

I agree with Krugger and F0ul_Olli. When you do install it choose the packages carefully. You won't need everything, and f your hard drive is <=2G a full install won't leave much space. I have a P233 box with 64MB RAM running 9.1 with CL only, all X and gui packages removed, tuned to fit on a 1.2G disk. It has ~500MB free.

The current version of Slack should work fine, but it's really going to depend on what kind of hardware you have and what you want to do with it.

If you plan to use an X environment 32MB RAM might work but 64 would be better, and you'll want to stick with a light window manager such as XFCE or Fluxbox.

gnashley 09-27-2005 09:09 AM

From my experience, any slack will run with just 16Mb RAM + 16MB swap. Anyway, 32MB min.
You didn't say if you were cramped for space. You can buzld a very nice system with X in around 200MB.

digital_nite 09-29-2005 06:04 PM

This is digital_nite,

Thanks to everyone for their posts. I will consider getting a current version of Slackware (the 10.2 version). However, I will also look to have a version that fits my needs. I'll keep my eye out for the largest hard drive I can put on my system. And who knows if my knowledge of Slack starts to peak and eventually get stiffled on the 486, I'll defintely be building a new system. For now though I wanna see what I can get out of the 486 sitting at home.

Thanx to all the Slackers,
digital_nite


All times are GMT -5. The time now is 03:40 AM.